org.apache.xmlbeans.impl.xb.xsdschema

## Interface DocumentationDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    DocumentationDocumentImpl

      public interface DocumentationDocument
      extends XmlObject

  A document containing one documentation(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DocumentationDocument.Documentation` An XML documentation(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<DocumentationDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentationDocument.Documentation` | `addNewDocumentation()` Appends and returns a new empty "documentation" element
    `DocumentationDocument.Documentation` | `getDocumentation()` Gets the "documentation" element
    `void` | `setDocumentation(DocumentationDocument.Documentation documentation)` Sets the "documentation" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<DocumentationDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getDocumentation

          DocumentationDocument.Documentation getDocumentation()

      Gets the "documentation" element

    - #### setDocumentation

          void setDocumentation(DocumentationDocument.Documentation documentation)

      Sets the "documentation" element

    - #### addNewDocumentation

          DocumentationDocument.Documentation addNewDocumentation()

      Appends and returns a new empty "documentation" element